[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TIndexDefs.Create

Create a new TIndexDefs instance

## Declaration

Source position: db.pas line 1071

`public constructor TIndexDefs.Create(`
`ADataSet: TDataSet`
`); virtual; overload;`

## Arguments

`ADataSet` |  | Dataset for which the index definitions are stored

## Description

Create initializes a new instance of the TIndexDefs class. It simply calls the inherited destructor with the appropriate item class, TIndexDef.

## See also

TIndexDef |  | Index definition
TIndexDefs.Destroy |  | Remove the indexdefs from memory.